#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	at-spi2-core
Version		:	2.36.0
Release		:	14.4.0.0%{?dist}
Summary		:	Protocol definitions and daemon for D-Bus at-spi
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/at-spi2-core

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	xorg-libXtst

Requires(post)	:	glibc
Requires(postun):	glibc
#-----------------------------------------------------------------------------
%description
The At-Spi2 Core package is a part of the GNOME Accessibility
Project. It provides a Service Provider Interface for the
Assistive Technologies available on the GNOME platform and
a library against which applications can be linked. 

%prep
%setup -q

#---------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

meson							\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--libexecdir=%{_libexecdir}/%{name}		\
        --sysconfdir=%{_sysconfdir}/%{name}		\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\

ninja
popd


%clean
%{__rm} -rf %{buildroot}

#installing program
%install

%{__rm} -rf %{buildroot}

pushd build
DESTDIR=%{buildroot}					\
	ninja install
popd 

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

%{__rm} -fr %{buildroot}%{_prefix}/lib/systemd
%{__rm} -fr %{buildroot}%{_datadir}/locale

%files			
%defattr(-,root,root,-)
%doc AUTHORS COPYING README NEWS
%{_sysconfdir}/%{name}/xdg/autostart/*
%{_includedir}/at-spi-2.0/atspi/*.h
%{_libexecdir}/%{name}/at-spi-bus-launcher
%{_libexecdir}/%{name}/at-spi2-registryd
%{_libdir}/libatspi.so*
%{_libdir}/pkgconfig/atspi-2.pc
%{_libdir}/girepository-1.0/Atspi-2.0.typelib
%{_datadir}/gir-1.0/Atspi-2.0.gir
%{_datadir}/dbus-1/*
%{_datadir}/defaults/at-spi2/*

%post
/usr/sbin/ldconfig

%postun
/usr/sbin/ldconfig

%changelog
